Debian Bug report logs - #192670
ITA: sup -- Software Upgrade Protocol implementation

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Fri, 9 May 2003 16:18:50 UTC

Severity: normal

Fixed in version sup/1.8-9

Done: Jochen Friedrich <jochen@scram.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#192670; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Martin Mitchell <martin@debian.org>
Subject: O: sup -- Software Upgrade Protocol implementation
Date: Sat, 10 May 2003 02:10:12 +1000
Package: wnpp
Severity: normal

The current maintainer of sup, Martin Mitchell <martin@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: sup
Binary: sup
Version: 1.8-8
Priority: optional
Section: devel
Maintainer: Martin Mitchell <martin@debian.org>
Build-Depends: pmake
Architecture: any
Standards-Version: 3.5.2
Format: 1.0
Directory: pool/main/s/sup
Files: b04c3a419d61a0cb8043930352370fc4 577 sup_1.8-8.dsc
 76371f01340ce62cd71687349c5aa27e 111165 sup_1.8.orig.tar.gz
 3d14cdd1cccc16d7f0703d8e38b4894e 5832 sup_1.8-8.diff.gz

Package: sup
Priority: optional
Section: devel
Installed-Size: 208
Maintainer: Martin Mitchell <martin@debian.org>
Architecture: i386
Version: 1.8-8
Depends: libc6 (>= 2.2.2-2)
Filename: pool/main/s/sup/sup_1.8-8_i386.deb
Size: 80372
MD5sum: 678fd504eb165e3fce5b7cca592d010e
Description: Software Upgrade Protocol implementation
 The SUP System is a set of programs developed by Carnegie Mellon
 University that provide for collections of files to be maintained in
 identical versions across a number of machines.  These programs are:
 .
 SUP: The "client" program, run by users or system maintainers, which
 initiates the upgrade activity  on  a  machine  requesting  the
 latest  version of a collection of files.  SUP will normally be
 run as a daemon, firing up once  each  night  (week,  etc.)  to
 upgrade the specified file collections.
 .
 SUPFILESRV: The "file server" program, a daemon that is run by the
 system maintainer to service requests for files initiated by client
 SUP programs.  The file server runs on every machine used as a
 "repository" of distributable versions of files.  It runs continuously
 and listens for network connection requests by individual client
 processes; for each individual client request, a process is forked to
 service that request.
 .
 SUPSCAN: The "file scanner" program, that may optionally be run
 periodically to speed up execution of the file server.  It
 pre-compiles a list of files on the file system that match the
 specifications for a given file collection so that the file server
 need not do this during each upgrade of that collection.  The file
 scanner is normally used daily for very large file collections that
 are upgraded by many clients each day; it is not so useful for small
 file collections or for those that are upgraded by only a few client
 machines per day.

Justification: Neglected many packages for a long time, didn't respond to pings

-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#192670; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jochen Friedrich <jochen@scram.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org.

Your message did not contain a Subject field. They are recommended and useful because the title of a Bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #10 received at 192670@bugs.debian.org (full text, mbox):

From: Jochen Friedrich <jochen@scram.de>
To: control@bugs.debian.org
Cc: 192670@bugs.debian.org
Date: Thu, 17 Jul 2003 22:49:11 +0200 (CEST)
retitle 192670 ITA: sup -- Software Upgrade Protocol implementation
thanks

I take this one...




Changed Bug title. Request was from Jochen Friedrich <jochen@scram.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Jochen Friedrich <jochen@scram.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 192670-close@bugs.debian.org (full text, mbox):

From: Jochen Friedrich <jochen@scram.de>
To: 192670-close@bugs.debian.org
Subject: Bug#192670: fixed in sup 1.8-9
Date: Sun, 20 Jul 2003 18:32:22 -0400
We believe that the bug you reported is fixed in the latest version of
sup, which is due to be installed in the Debian FTP archive:

sup_1.8-9.diff.gz
  to pool/main/s/sup/sup_1.8-9.diff.gz
sup_1.8-9.dsc
  to pool/main/s/sup/sup_1.8-9.dsc
sup_1.8-9_i386.deb
  to pool/main/s/sup/sup_1.8-9_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 192670@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jochen Friedrich <jochen@scram.de> (supplier of updated sup package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 16 Jul 2003 23:27:10 +0200
Source: sup
Binary: sup
Architecture: source i386
Version: 1.8-9
Distribution: unstable
Urgency: medium
Maintainer: Jochen Friedrich <jochen@scram.de>
Changed-By: Jochen Friedrich <jochen@scram.de>
Description: 
 sup        - Software Upgrade Protocol implementation
Closes: 175327 192670 195256
Changes: 
 sup (1.8-9) unstable; urgency=medium
 .
   * Added IPv6 patch from Jun-ichiro itojun Hagino <itojun@iijlab.net>
   * Copied varargs->stdarg changes from NetBSD (closes: #195256)
   * Changed errmsg to use strerror. Copied from NetBSD.
   * Fixed compiler warnings (extra tokens after #else and #endif)
   * Fixed insecure tmp file creation (closes: #175327)
   * New maintainer (closes: #192670)
Files: 
 c0715c5a160c0729a9ab88638534b8bf 526 devel optional sup_1.8-9.dsc
 d3108b7474b55e07a96c879145f405b7 11801 devel optional sup_1.8-9.diff.gz
 1890d8b64d1fb9aa773ba6f3eb1b3e09 82816 devel optional sup_1.8-9_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE/GnAGhCzbekR3nhgRAndJAJ0TIw8xJ5pmIGZkcCzQyIVae+h6tQCffFH5
UwcT4FRFxSfd1igkmDnGxtw=
=/4Wp
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:44:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.